diff --git a/configure b/configure
index 062d40e1ab..e04ae17ab6 100755
--- a/configure
+++ b/configure
@@ -763,6 +763,7 @@ LDFLAGS
 CFLAGS
 CC
 enable_injection_points
+PG_TEST_EXTRA
 enable_tap_tests
 enable_dtrace
 DTRACEFLAGS
@@ -881,6 +882,7 @@ enable_largefile
       ac_precious_vars='build_alias
 host_alias
 target_alias
+PG_TEST_EXTRA
 CC
 CFLAGS
 LDFLAGS
@@ -1590,6 +1592,8 @@ Optional Packages:
   --with-openssl          obsolete spelling of --with-ssl=openssl
 
 Some influential environment variables:
+  PG_TEST_EXTRA
+              enable selected extra tests
   CC          C compiler command
   CFLAGS      C compiler flags
   LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
@@ -3686,6 +3690,7 @@ fi
 
 
 
+
 #
 # Injection points
 #
diff --git a/configure.ac b/configure.ac
index ef56226156..82401efe74 100644
--- a/configure.ac
+++ b/configure.ac
@@ -248,6 +248,7 @@ AC_SUBST(enable_dtrace)
 PGAC_ARG_BOOL(enable, tap-tests, no,
               [enable TAP tests (requires Perl and IPC::Run)])
 AC_SUBST(enable_tap_tests)
+AC_ARG_VAR(PG_TEST_EXTRA, [enable selected extra tests])
 
 #
 # Injection points
diff --git a/src/Makefile.global.in b/src/Makefile.global.in
index 83b91fe916..d92b0f19a0 100644
--- a/src/Makefile.global.in
+++ b/src/Makefile.global.in
@@ -641,6 +641,8 @@ submake-libpgfeutils: | submake-generated-headers
 #
 # Testing support
 
+PG_TEST_EXTRA = @PG_TEST_EXTRA@
+
 ifneq ($(USE_MODULE_DB),)
   PL_TESTDB = pl_regression_$(NAME)
   ifneq ($(MODULE_big),)
